<?php

require_once dirname(__FILE__) . '/customsql.php';

/**
 * Vacation_Driver_postfixadmin implements the Vacation_Driver API for SQL
 * servers managed by Postfix Admin (http://postfixadmin.sourceforge.net/).
 *
 * $Horde: vacation/lib/Driver/postfixadmin.php,v 1.3.2.2 2009/08/04 11:04:26 jan Exp $
 *
 * Copyright 2009 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @author  Jan Schneider <jan@horde.org>
 * @since   Vacation 3.1.1
 * @package Vacation
 */
class Vacation_Driver_postfixadmin extends Vacation_Driver_customsql {

    /**
     * An array of capabilities, so that the driver can report which
     * operations it supports and which it doesn't.
     *
     * - 'changeFrom' permits the user to change the From: header.
     *
     * @var array
     */
    var $capabilities = array('changeFrom' => false);

    /**
     * Constructor.
     *
     * @param string $user   A user name.
     * @param array $params  Configuration parameters for the backend.
     */
    function Vacation_Driver_postfixadmin($user, $params = array())
    {
        $params = array_merge_recursive(
            Horde::getDriverConfig('server', 'sql'),
            array(
                'default' => array('query_set' => 'REPLACE INTO vacation (email, subject, body, domain, created, active) VALUES (\U, \S, \M, \D, NOW(), 1)',
                                   'query_unset' => 'UPDATE vacation SET active=0 WHERE email=\U',
                                   'query_get' => 'SELECT subject, body, active AS vacation FROM vacation WHERE email=\U',
                                   'hordeauth' => 'full')));
        parent::Vacation_Driver_customsql($user, $params);
    }

}
